#!/bin/sh
ngdbuild -ise "/home/matt/project/calice/master_controller/ise/master_controller/master_controller.ise" -intstyle ise -dd _ngo -nt timestamp -uc "master_controller.ucf" -p xc3s1000-fg676-5 "top_master_controller.ngc" top_master_controller.ngd
if [ $? != 0 ]
then
echo "ndgbuild failed"
exit 1
fi
map -ise "/home/matt/project/calice/master_controller/ise/master_controller/master_controller.ise" -intstyle ise -p xc3s1000-fg676-5 -cm area -pr b -k 4 -c 100 -o top_master_controller_map.ncd top_master_controller.ngd top_master_controller.pcf
if [ $? != 0 ]
then
echo "map failed"
exit 1
fi
par -ise "/home/matt/project/calice/master_controller/ise/master_controller/master_controller.ise" -w -intstyle ise -ol std -t 1 top_master_controller_map.ncd top_master_controller.ncd top_master_controller.pcf
if [ $? != 0 ]
then
echo "par failed"
exit 1
fi
trce -ise "/home/matt/project/calice/master_controller/ise/master_controller/master_controller.ise" -intstyle ise -e 3 -s 5 -xml top_master_controller top_master_controller.ncd -o top_master_controller.twr top_master_controller.pcf -ucf master_controller.ucf
if [ $? != 0 ]
then
echo "trce failed"
exit 1
fi
bitgen -ise "/home/matt/project/calice/master_controller/ise/master_controller/master_controller.ise" -intstyle ise -f top_master_controller.ut top_master_controller.ncd
if [ $? != 0 ]
then
echo "bitgen failed"
exit 1
fi
